Skip to main content
GET
/
oauth2
/
applications
/
{id}
/
public
Get public application
curl --request GET \
  --url https://api.fluxer.app/v1/oauth2/applications/{id}/public
{
  "id": "<string>",
  "name": "<string>",
  "icon": "<string>",
  "description": "<string>",
  "redirect_uris": [
    "<string>"
  ],
  "scopes": [
    "<string>"
  ],
  "bot_public": true,
  "bot": {
    "id": "<string>",
    "username": "<string>",
    "discriminator": "<string>",
    "bio": "<string>",
    "flags": 1073741823,
    "avatar": "<string>",
    "banner": "<string>",
    "token": "<string>",
    "mfa_enabled": true,
    "authenticator_types": []
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluxer.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The id

Response

Success

id
string
required

The unique identifier of the application

Pattern: ^(0|[1-9][0-9]*)$
name
string
required

The name of the application

icon
string | null
required

The icon hash of the application

description
string | null
required

The description of the application

redirect_uris
string[]
required

The registered redirect URIs for OAuth2

Maximum array length: 20
scopes
string[]
required

The available OAuth2 scopes

Maximum array length: 50
bot_public
boolean
required

Whether the bot can be invited by anyone

bot
object
required

The bot user associated with the application